- name: Query an interface selector profile associated with a switch policy leaf profile
  cisco.aci.aci_interface_selector_to_switch_policy_leaf_profile:
    host: "{{ fabric }}"
    username: "{{ vault_secrets['username'] }}"
    password: "{{ vault_secrets['password'] }}"
    use_proxy: False
    use_ssl: True
    validate_certs: False
    state: query
    leaf_profile: "{{ leaf_vpc_swprofs }}"
  delegate_to: localhost
  register: ifprofile_swprofile

- name: Assert that the switch profiles has leaf interface profiles
  assert:
    that:
      - item.infraNodeP is defined
      - item.infraNodeP.children is defined
      - item.infraNodeP.children | json_query('[?infraRsAccPortP]') | length > 0
    fail_msg: "No interfaces configured on leaf {{ leaf_vpc_swprofs }}. Stopping..."
    success_msg: "Interfaces configured on leaf { switch1 }} and {{ switch2 }}. Continuing..."
    quiet: True
  loop: "{{ ifprofile_swprofile.current }}"
  loop_control:
    label: "Verifying if vPC switch profile {{ leaf_vpc_swprofs }} for leaf {{ switch1 }} and {{ switch2 }} has any interfaces attached to it."
